%{?nodejs_find_provides_and_requires}

%global packagename crypto-browserify
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.11.0
Release: 1%{?dist}.3
Summary: implementation of crypto for the browser
License: MIT
URL: https://github.com/crypto-browserify/crypto-browserify
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Patch0: nodejs-crypto-browserify-test-supported-ec.patch
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(browserify-cipher) >= 1.0.0
BuildRequires: npm(browserify-cipher) < 2.0.0
BuildRequires: npm(browserify-sign) >= 4.0.0
BuildRequires: npm(browserify-sign) < 5.0.0
BuildRequires: npm(create-ecdh) >= 4.0.0
BuildRequires: npm(create-ecdh) < 5.0.0
BuildRequires: npm(create-hash) >= 1.1.0
BuildRequires: npm(create-hash) < 2.0.0
BuildRequires: npm(create-hmac) >= 1.1.0
BuildRequires: npm(create-hmac) < 2.0.0
BuildRequires: npm(diffie-hellman) >= 5.0.0
BuildRequires: npm(diffie-hellman) < 6.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
BuildRequires: npm(pbkdf2) >= 3.0.3
BuildRequires: npm(pbkdf2) < 4.0.0
BuildRequires: npm(public-encrypt) >= 4.0.0
BuildRequires: npm(public-encrypt) < 5.0.0
BuildRequires: npm(randombytes) >= 2.0.0
BuildRequires: npm(randombytes) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(hash-test-vectors) >= 1.3.2
BuildRequires: npm(hash-test-vectors) < 1.4.0
BuildRequires: npm(pseudorandombytes) >= 2.0.0
BuildRequires: npm(pseudorandombytes) < 3.0.0
BuildRequires: npm(tape) >= 2.3.2
%endif

%description
A port of node's crypto module to the browser.

The goal of this module is to reimplement node's crypto module,
in pure javascript so that it can run in the browser.


%prep
%setup -q -n package
%patch0 -p1
%nodejs_fixdep --dev tape '>=2.3.2'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/
%endif


%files
%license LICENSE
%doc *.md example
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 3.11.0-1
- Initial package.
